Agent Operations
List the executions of a settlement rule
The payments a rule the authenticated agent created fired on, newest first. Requires the MANAGE_SETTLEMENT_RULES or VIEW_TRANSACTIONS permission.
GET
List the executions of a settlement rule
Authorizations
Bearer token authentication for agent-scoped endpoints. The token is the accessToken returned when redeeming a device code via POST /agents/device-codes/redeem. Agent credentials are user-scoped: all requests are automatically bound to the agent's associated customer and subject to the agent's policy.
Path Parameters
System-generated unique settlement rule identifier
Query Parameters
Maximum number of results to return (default 100, max 200)
Required range:
1 <= x <= 200Cursor for pagination (returned from previous request)